<?php

namespace App\Models;

use App\Traits\UuidPrimaryKey;
use App\Exceptions\ModelNotFoundException;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Categoria extends Model {
    use UuidPrimaryKey, SoftDeletes;

    protected $table = 'categorias';
    protected $hidden = ['created_at', 'updated_at', 'deleted_at', 'pivot'];
    protected $fillable = ['id', 'nombre', 'restaurante_id'];

    public static function findOrFail($id) {
        $categoria = Categoria::find($id);
        if(!$categoria) throw new ModelNotFoundException("categoria", $id);
        return $categoria;
    }


    public function restaurante() {
        return $this->belongsTo(Restaurante::class);
    }
}
